export declare class MenuChatChannel {
    referenceSelector: string;
    isOpen: boolean;
    internalLoading: boolean;
    private triggerEl;
    private popperEl;
    private cleanup?;
    componentWillLoad(): void;
    private disposeStore?;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleClickOutside: (e: MouseEvent) => void;
    private handleCloseOthers;
    toggleMenu(): Promise<void>;
    private handleSetFilterConnection;
    render(): any;
}
